Bug 483780 - Can't set hardware flow control
Can't set hardware flow control
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mgetty (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 11:01 EST by Matt Castelein
Modified: 2014-11-09 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 02:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2009-02-03 11:01:08 EST
Description of problem:
vgetty reports:
02/03 10:50:02 yS0  Multitech MT5634Z internal detected
02/03 10:50:02 yS0  modem quirks: 0001
02/03 10:50:02 yS0  mdm_send: 'AT+FCLASS=2' -> OK
02/03 10:50:02 yS0  mdm_send: 'AT+FAA=1;+FCR=1' -> OK
02/03 10:50:02 yS0  mdm_send: 'AT+FBOR=0' -> OK
02/03 10:50:02 yS0  mdm_send: 'AT+FLID="585-663-7799"' -> OK
02/03 10:50:02 yS0  mdm_send: 'AT+FDCC=1,5,0,2,0,0,0,0' -> OK
02/03 10:50:02 yS0  detecting voice modem type
02/03 10:50:03 yS0  V253 modem detected
02/03 10:50:03 yS0  initializing V253 voice modem
02/03 10:50:04 yS0  vgetty: Modem returned ERROR
02/03 10:50:04 yS0  can't turn on hardware flow control

Yet, I can set it just fine:
AT&K3
OK

Version-Release number of selected component (if applicable):
mgetty-voice-1.1.36-2.fc10.x86_64

How reproducible:
Always

Additional info:
With debug set to 6, I still do not get the command that vgetty is trying to use to show up in the log.. It must be something other than "AT&K3", but what it's trying to use or how I might go about correcting it remains a mystery.
Comment 1 Matt Castelein 2009-02-03 16:51:21 EST
I have the following set in voice.conf:

# Some modems follow the voice cammands defined in ITU V.253
# but don't support the flow control command AT+IFC defined in ITU V.250.
# For those modems you could use the V253ugly driver, which use all of V253modem
# but for the flow control command it uses simple "AT"
#
forceV253subset TRUE

Yet, vgetty is STILL trying to use AT+IFC:

02/03 16:47:49 yS0   voice command: 'AT+IFC=2,2' -> 'OK'
02/03 16:47:49 yS0    vgetty: AT+IFC=2,2
02/03 16:47:49 yS0    V253 ugly: ERROR
02/03 16:47:49 yS0  vgetty: Modem returned ERROR
02/03 16:47:49 yS0  can't turn on hardware flow control
Comment 2 Matt Castelein 2009-06-24 16:16:36 EDT
This is still a problem in mgetty-voice-1.1.36-3.fc11.x86_64.  Changing version to 11.

06/24 16:10:33 yS0   voice command: 'AT+IFC=2,2' -> 'OK'
06/24 16:10:33 yS0    vgetty: AT+IFC=2,2
06/24 16:10:33 yS0    V253 ugly: ERROR
06/24 16:10:33 yS0  vgetty: Modem returned ERROR
06/24 16:10:33 yS0  can't turn on hardware flow control

It would have been nice if mgetty-voice had created voice.conf.rpmnew instead of saving the config as voice.conf.rpmsave and then stepping on it.  mgetty-sendfax is much nicer and created mgetty.config.rpmnew and sendfax.config.rpmnew instead.  It would be good for mgetty-voice to follow the same pattern.
Comment 3 Bug Zapper 2010-04-27 08:51:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jiri Skala 2010-05-25 16:26:36 EDT
The issue is produced by 'AT+IFC=2,2'. voice.conf contains do_hard_flow option that is 'true' by default. Please, try to disable this option.
Comment 5 Matt Castelein 2010-05-25 16:48:36 EDT
Sorry, this report is so old I don't have the hardware anymore!

Note You need to log in before you can comment on or make changes to this bug.